/* MyDocumentController */

#import <Cocoa/Cocoa.h>
@class WTDocument;

@interface MyDocumentController : NSDocumentController
{
	IBOutlet id startWindow;
	IBOutlet id recentDocMatrix;
	NSMutableArray *myRecentDocs;
}
- (void)notifyClose:(id)sender;
- (void)notifyOpen:(id)sender;

- (IBAction)openRecent:(id)sender;
- (IBAction)goToGersh:(id)sender;
- (IBAction)updateRecentDocs:(id)sender;
- (void) createUserDafaults;
- (IBAction) checkWTVerison:(id)sender;
- (void) checkVersionInThread: (id) sender;

- (BOOL)applicationShouldOpenUntitledFile:(NSApplication *)sender;
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification;

- (void)noteNewRecentDocument:(NSDocument *)aDocument;
@end

//- (IBAction)feedBack:(id)sender;
//- (IBAction)exportData:(id)sender;
//- (IBAction)printMyDocument:(id)sender;
